bitel.billing.server.ipn.bean

## Class VlanManager

- java.lang.Object
- - bitel.billing.server.ipn.bean.VlanManager

-     public class VlanManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.sql.Connection` | `con`
    `protected int` | `mid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VlanManager(int mid, java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `createVlan(int vid, int gateId, int cid)`
    `java.lang.Integer` | `getFreeVlan(int gateId, java.util.List<java.util.List<java.lang.Integer>> rangeList)`
    `int` | `getUsedVlan(int gateId, int vlanId)`
    `boolean` | `getVlan(int gateId)`
    `int` | `getVlan(int gateId, int cid)`
    `java.util.List<java.util.List<java.lang.Integer>>` | `getVlanList(int cid)`
    `void` | `removeVlan(int vid, int gateId, int cid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mid

          protected int mid

    - #### con

          protected java.sql.Connection con

  - ### Constructor Detail

    - #### VlanManager

          public VlanManager(int mid,
                             java.sql.Connection con)

  - ### Method Detail

    - #### getVlan

          public int getVlan(int gateId,
                             int cid)

    - #### getVlan

          public boolean getVlan(int gateId)

    - #### getUsedVlan

          public int getUsedVlan(int gateId,
                                 int vlanId)

    - #### getVlanList

          public java.util.List<java.util.List<java.lang.Integer>> getVlanList(int cid)

    - #### getFreeVlan

          public java.lang.Integer getFreeVlan(int gateId,
                                               java.util.List<java.util.List<java.lang.Integer>> rangeList)

    - #### createVlan

          public int createVlan(int vid,
                                int gateId,
                                int cid)

    - #### removeVlan

          public void removeVlan(int vid,
                                 int gateId,
                                 int cid)